ppx_driver

Feature-full driver for OCaml AST transformers
Description

Part of the Jane Street's PPX rewriters collection.

Install
Published
03 Nov 2017
Authors
Maintainers
Sources
v0.9.2.tar.gz
md5=2d682850acb6851085eee03f90dc9eab
Dependencies
ocaml-migrate-parsetree >= "1.0" & < "2.0.0"
ppx_optcomp >= "v0.9" & < "v0.10"
ppx_core >= "v0.9.2" & < "v0.10"
jbuilder >= "1.0+beta7"
ocaml >= "4.03.0"
Reverse Dependencies
async = "v0.9.0"
async_extended = "v0.9.0"
async_extra = "v0.9.0"
async_find = "v0.9.0"
async_inotify = "v0.9.0"
async_js < "v0.10.0"
async_kernel = "v0.9.0"
async_parallel >= "v0.9.0" & < "v0.10.0"
async_shell >= "v0.9.0" & < "v0.10.0"
async_smtp = "v0.9.0"
async_ssl >= "v0.9.0" & < "v0.10.0"
async_unix >= "v0.9.0" & < "v0.10.0"
bignum = "v0.9.0"
bin_prot >= "v0.9.0" & < "v0.10.0"
caqti-dynload < "0.11.0"
command_rpc < "v0.10.0"
conduit >= "0.14.3" & < "1.0.0"
configurator < "v0.10.0"
core >= "v0.9.0" & < "v0.10.0"
core_bench = "v0.9.0"
core_extended >= "v0.9.0" & < "v0.10.0"
core_kernel >= "v0.9.0" & < "v0.10.0"
core_profiler = "v0.9.0"
csvfields < "v0.10.0"
ecaml < "v0.10.0"
email_message >= "v0.9.0" & < "v0.10.0"
fieldslib = "v0.9.0"
frenetic >= "5.0.0" & < "5.0.5"
horned_worm = "0.3.1"
incr_dom < "v0.10.0"
incr_map < "v0.10.0"
incr_select < "v0.10.0"
incremental = "v0.9.0"
jenga = "v0.9.0"
line-up-words < "v0.11.0"
ocaml_plugin = "v0.9.0"
parsexp < "v0.10.0"
parsexp_io < "v0.10.0"
patdiff = "v0.9.0"
patience_diff = "v0.9.0"
ppx_assert = "v0.9.0"
ppx_base < "v0.10.0"
ppx_bench = "v0.9.1"
ppx_bin_prot = "v0.9.0"
ppx_compare = "v0.9.0"
ppx_conv_func = "v0.9.0"
ppx_cstruct >= "3.1.0" & < "4.0.0"
ppx_csv_conv = "v0.9.0"
ppx_enumerate = "v0.9.0"
ppx_expect = "v0.9.0"
ppx_fail = "v0.9.0"
ppx_fun < "0.0.2"
ppx_hardcaml < "1.1.0"
ppx_hash < "v0.10.0"
ppx_here = "v0.9.1"
ppx_inline_test >= "v0.9.1" & < "v0.10.0"
ppx_jane = "v0.9.0"
ppx_js_style < "v0.10.0"
ppx_let = "v0.9.0"
ppx_metaquot < "v0.10.0"
ppx_optional < "v0.10.0"
ppx_pipebang = "v0.9.0"
ppx_protocol_conv != "1.0.0" & < "3.1.3"
ppx_sexp_conv = "v0.9.0"
ppx_sexp_value = "v0.9.0"
ppx_traverse < "v0.10.0"
ppx_type_conv >= "v0.9.0" & < "v0.10.0"
ppx_xml_conv = "v0.9.0"
re2 >= "v0.9.0" & < "v0.10.0"
rpc_parallel = "v0.9.0"
sexp_pretty < "v0.10.0"
textutils = "v0.9.0"
toplevel_expect_test >= "v0.9.1" & < "v0.10.0"
topological_sort < "v0.10.0"
typerep_extended >= "v0.9.0"
variantslib = "v0.9.0"
virtual_dom < "v0.10.0"